InstallationScopeChooserHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: InstallationScopeChooserHandle

# Interface InstallationScopeChooserHandle

All Superinterfaces:
  `FormComponentHandle`

public interface InstallationScopeChooserHandle extends FormComponentHandle
Handle for the "Installation scope chooser" form component. The principal Swing widget is the user-writable `JRadioButton`.

Reach this handle via `ScreenHandle.installationScopeChooser()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InstallationScopeChooserHandle`
  `assertDisabled()`
  `InstallationScopeChooserHandle`
  `assertEnabled()`
  `InstallationScopeChooserHandle`
  `assertInvisible()`
  `InstallationScopeChooserHandle`
  `assertVisible()`
  `boolean`
  `isInstallForAllUsers()`
  Whether the install-for-all-users radio button is currently selected.
  `InstallationScopeChooserHandle`
  `selectAllUsers()`
  Select the install-for-all-users radio button.
  `InstallationScopeChooserHandle`
  `selectUserWritable()`
  Select the install-for-current-user-only radio button.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### selectUserWritable

    @NotNull InstallationScopeChooserHandle selectUserWritable()
    Select the install-for-current-user-only radio button.

  - ### selectAllUsers

    @NotNull InstallationScopeChooserHandle selectAllUsers()
    Select the install-for-all-users radio button.

  - ### isInstallForAllUsers

    boolean isInstallForAllUsers()
    Whether the install-for-all-users radio button is currently selected.

  - ### assertEnabled

    @NotNull InstallationScopeChooserHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull InstallationScopeChooserHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull InstallationScopeChooserHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull InstallationScopeChooserHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`